BladeSystem - General
cancel
Showing results for 
Search instead for 
Did you mean: 

Is it just me? Or does everything required a fw update?

steribm
Occasional Contributor

Is it just me? Or does everything required a fw update?

I'm sort of frustrated. Applying firmware updates to the OA and to the VCs is HIGH RISK (always)... and yet, every time I need to do something, I am forced to do fw upgrades... and the only safe way to do these is to bring ALL of the blades down. Am I the only one with this problem? And... why is it that so much critical functionality doesn't work, even after many many upgrades... shouldn't a lot of that work before even the first blade of a given type is released?

Sorry if I'm venting too much... I'm just not sure why we have two OA's and two VC's if there's a chance that the old shebang can go belly up during an upgrade... an upgrade that I really would love to NOT to have to do every month or so. It's enough to make me want to go back to standalone servers. At least there I wasn't having to do such a massive shutdown to get one thing working on one blade...

Latest case, the RAID on the BL860i2 doesn't work... it's stuck in HBA mode. Now, of course I had to patch everything to latest levels middle of last year to support the BL860i2... but that's not good enough. Since then there have been several firmware updates, some of which introduced problems.... I waited patiently because I know that every fw update carries that risk (don't upgrade unless something is broken... I believe you read that in every release note from HP).

Sigh.... not looking forward to doing the work to "fix" things... I may skip and say to heck with a working RAID... sigh again...

5 REPLIES
H4nd0
Occasional Advisor

Re: Is it just me? Or does everything required a fw update?

OA, VC and iLO are really buggy. We have been caught in the upgrade crossfire for nearly six months. For example:

VC 3.15 had that dreadful DNS bug with workaround. 3.17 turned up with 3.18 about a week later for yet another issue.

OA 3.21 was riddle with bugs - NOCOMM, iLO3 timout etc. 3.30 fixes most of that only to see 3.31 out a few days later.

In iLO3 1.16 NTP was completely broken. 1.20 sort of fixed it but you couldn't set TZ via RIBCL now 1.25 is out.

BIOS ... just spent a day of my life tracking an incompatibility on DL380 with NC550 in a brand new server. Then there is the abysmal version in BIOS P67: December, January, March (and March is dated January).

VCSU is rubbish. It's bricked a couple of my VCs (tip only upgrade one or two at a time and make sure they are in interconnect bay 1 or 2 of your enclosure first).

Then there is BL2x220C BIOS ... sigh ... massive ECC errors - upgrade fixes them to work with certain DIMMs that HP are shipping. I've got a fleet of 640 of those so it makes me sad.

I must admit that SIM does help. However, 6.1 and to a lesser extend 6.2 are again buggy. 6.3 fixes lots of things but RDP appears broken.

My conclusion is too much tin, so many variables and not enough time to test. Get it stable doing what you want then leave it alone.
Torsten.
Acclaimed Contributor

Re: Is it just me? Or does everything required a fw update?

I never had problems with OA and blade firmware updates. OA can be updated online, but blades have to be down for firmware or BIOS updates.

Regarding the RAID - you need a minimum firmware version for the controller in order to configure the hardware RAID on these servers.

Hope this helps!
Regards
Torsten.

__________________________________________________
There are only 10 types of people in the world -
those who understand binary, and those who don't.

__________________________________________________
No support by private messages. Please ask the forum!

If you feel this was helpful please click the KUDOS! thumb below!   
The Brit
Honored Contributor

Re: Is it just me? Or does everything required a fw update?

I agree with Torsten, I (we)'ve never had a problem with OA or VC firmware updates, (at least not since VCSU became available.)

In the last couple of years we have not had to shutdown our blades, although in the interest of prudence, we do tend to pick a quiet time to do the upgrades. And of course, if you are using VCSU, you must make sure that the firewall restrictions allow the transfer of the files to your enclosure.

Having said all that, bad things can sometimes happen, and we are just as unhappy as everyone else with the "bugginess" of OA/VC firmware releases.

HTH

Dave.
Good luck.

steribm
Occasional Contributor

Re: Is it just me? Or does everything required a fw update?

Well... I was a Sr. QA Manager for one of the fastest growing SW companies in the world... and let me tell you there is only one true fix when the design and code causes this many problems... bite the bullet, go back to the drawing board. Software with many bugs today is software with many bugs tomorrow.

I can see the abstraction attempt in the BladeSystem design... but does it really work? I mean, you HAVE to shutdown a blade to change a network profile for a Flex-10 enabled host .... what?!!??!!

IMHO, the abstraction does nothing... it's broken abstraction. It's like there was an attempt to do something really fancy... and it failed miserably.

I like the form factor... I like Flex-10 (apart from general VC brokenness mentioned)... but I could see a "round 3" architecturally in HP's blade future (I hope.. as a technologist, obviously such a change could be a huge expense for us all).

My ideal BladeSystem would allow for full dynamic mapping. Shoot... with a good OS on the blades, even full dynamic NIC adds/subtracts are possible. Maybe I'm just dreaming.


gregersenj
HPE Pro

Re: Is it just me? Or does everything required a fw update?

Frustration allways come from 2 reasons.
1. Lack of knowledge.
2. "Religion"
1 often lead to 2.
And that lead to Frustration.

Things to realize:
There's no 100% uptime.
There's nothing bug free.
There's allways a risk.

Ralize the aboave, and learn how stuff works.

I don't got a lot of knowledge on the Itanium/PA risc systems.
But, on some RX26xx model(s) you mst enable the embedded smart array controller from the EFI.

OA and ILo is a on-line, non-disruptive upgrades. A backup of the OA configuration is recommended, just in case.

Interconnect modules can be upgraded on-line. On-line FW upgrades neee a reboot to activate new FW.
VCSU upgrade modules, then reboot them 1 by 1.
Do you trust your enviroment?
Do you want to take the risk?

Yes, the blade must be powered off to activate a profile.
I don't know why, but I believe that the engineers have a good reason.

I will recommend you to create a FW anf Driver base line, and ensure, that you are allways within supportet release sets.

Most release notes do say upgrade at earliest convinience.

I learn new stuff every day, and the more I learn, the less knowledge I blieve that I have.

Theory is:
It don't work, but we know why.
Real life is:
It work, but we don't know why.

Wish you a lot of fun learning, and hope you get less frustratet.

BR
/jag